Subject: Re: apache 1.3.29?

From: "Ralf S. Engelschall" <[email-masked]>
Date: Thu, 30 Oct 2003 09:06:52 +0100

In article <[email-masked]> you wrote:
> Andreas Gietl wrote:
>> 
>> On Wednesday 29 October 2003 15:39, Jim Jagielski wrote:
>> 
>> i guess there will be a new patch within the next days/hours?
> 
> I would guess, but that's not my area :)

Yes, there will be a mod_ssl 2.8.16 released today or tomorrow. I've
already upgraded mod_ssl to Apache 1.3.29, but I've still to include
some other fixes. But 2.8.15 works fine with Apache 1.3.29, so no need
to hurry here...
                                       Ralf S. Engelschall
                                       [email-masked]
                                       www.engelschall.com

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: "Zvi Har'El" <[email-masked]>
Date: Thu, 30 Oct 2003 10:53:31 +0200

Hi Ralf,

If you don't mind, please include a fix which allows the HTTPS env variable
to be passed by suexec

--- apache_1.3.28/src/support/suexec.c.~20030719062731~ Sat Jul 19 09:27:31
2003
+++ apache_1.3.28/src/support/suexec.c  Tue Aug 26 16:49:20 2003
@@ -134,7 +134,7 @@
     /* variable name starts with */
     "HTTP_",
 #ifdef MOD_SSL
-    "HTTPS_",
+    "HTTPS=",
     "SSL_",
 #endif

This is already included in apache 2

Thanks,

Zvi.

-- 
Dr. Zvi Har'El     mailto:[email-masked]     Department of Mathematics
tel:+972-54-227607 icq:179294841     Technion - Israel Institute of Technology
fax:+972-4-8293388 http://www.math.technion.ac.il/~rl/     Haifa 32000, ISRAEL
"If you can't say somethin' nice, don't say nothin' at all." -- Thumper (1942)
                            Thursday, 4 Heshvan 5764, 30 October 2003, 10:49AM
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]